use Test;
BEGIN { plan tests => 13 }
use Data::Config;

# check that the following class methods are available
ok( defined \&Data::Config::new );
ok( defined \&Data::Config::options );

# create an object
$a = new Data::Config;
ok( defined $a );

# check that the following object methods are available
ok( defined $a->can('options') );
ok( defined $a->can('read_source') );
ok( defined $a->can('param') );
ok( defined $a->can('all_parameters') );
ok( defined $a->can('delete') );
ok( defined $a->can('delete_all') );
ok( defined $a->can('clear') );
ok( defined $a->can('clear_params') );
ok( defined $a->can('dump_param') );

# delete an object
undef $a;
ok($a,undef);
