use Test;
BEGIN { plan tests => 3 }
use Data::Config;
Data::Config->options(-quiet => 1);
$a = new Data::Config;

# hook up a handler
$a->set_handler('Second_Children', sub{"baka ".(split' ',$_[1])[1]."!!"});
ok( $a->has_handler('Second_Children') );

# read the data from a file
$a->read_source('t/children.txt');
ok( $a->param('Second_Children') eq "baka Shinji!!" );

# delete the handler
$a->delete_handler('Second_Children');
ok( not $a->has_handler('Second_Children') );
