use Test;
BEGIN { plan tests => 3 }
use Data::Config;
Data::Config->options(-quiet => 1);
$a = new Data::Config;

# set case-insensitive option
$a->case_sensitive(0);
ok( $a->case_sensitive == 0 );

$a->read_source('t/children.txt');

# check that arguments can be retrieved independently of the case
ok( $a->param('First_Children') eq $a->param('first_children') );

# check that arguments can be set independantly of the case
$a->param({first_children => "Ayanami Rei 3"});  # Episode 0:23
ok( $a->param('first_children') eq $a->param('FIRST_CHILDREN') );
